package com.company;

import java.util.ArrayList;
import java.util.Random;
import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        VotingSystem system = new VotingSystem();
        ArrayList<String> temp = new ArrayList<>();
        temp.add("A1");
        temp.add("A2");
        temp.add("A3");
        temp.add("A4");
        system.createVoting("Q1",1,temp);
        temp.clear();
        temp.add("B1");
        temp.add("B2");
        temp.add("B3");
        temp.add("B4");
        system.createVoting("Q2",0,temp);
        temp.clear();
        temp.add("C1");
        temp.add("C2");
        temp.add("C3");
        system.createVoting("Q3",0,temp);

        Scanner sc = new Scanner(System.in);
        ArrayList<String> answers = new ArrayList<>();
        String name,tempanswer;
        Random r = new Random();
        int command;

        while (true){
            System.out.println("""
                    1.print votings
                    2.new vote""");
            command = sc.nextInt();
            switch (command){
                case 1 ->{
                    for(Voting voting : system.getVotingList()){
                        voting.printResults();
                        voting.printVotes();
                    }
                }
                case 2 ->{
                    sc.nextLine();
                    System.out.print("first name: ");
                    name = sc.nextLine();
                    System.out.print("Last name: ");
                    Person person = new Person(name,sc.nextLine());
                    system.printVotings();
                    System.out.print("choose a voting: ");
                    int index = sc.nextInt();
                    Voting currentVoting = system.getVoting(index);
                    currentVoting.printPolls();
                    sc.nextLine();
                    int counter = 0;
                    while (counter < currentVoting.getPolls().keySet().size()){
                        System.out.println("Choose your answers\nEnter 0 to finish\nEnter 1 for random answer");
                        tempanswer = sc.nextLine();
                        if(tempanswer.equals("0")){
                            break;
                        }
                        if(tempanswer.equals("1")){
                            int j, i = 0;
                            j = r.nextInt(currentVoting.getPolls().keySet().size());
                            for(String key : currentVoting.getPolls().keySet()){
                                if(i == j){
                                    answers.add(key);
                                }
                                i++;
                            }
                        }
                        else {
                            if(answers.contains(tempanswer)){
                                System.out.println("Repetitive answer");
                            }
                            else {
                                answers.add(tempanswer);
                            }

                        }
                        counter++;
                    }
                    system.vote(person,answers,index);
                    answers.clear();

                }
                }
            }
        }

    }