package com.company;

/**
 * a class for storing voter's information
 */
public class Person {
    private final String firstName;
    private final String lastName;

    /**
     * constructor for person class
     * @param  firstName voter's first name
     * @param  lastName voter's last name
     */
    public Person(String firstName,String lastName){
        this.firstName = firstName;
        this.lastName = lastName;
    }


    public String getFirstName() {
        return firstName;
    }


    public String getLastName() {
        return lastName;
    }

    /**
     * Equal method to check if two voters are the sameperson
     * @param person second voter that we want to check if is the same voter as first voter
     * @return returns true if equal ,flase if not
     */
    public boolean equals(Person person){
        return (firstName.equals(person.firstName) && lastName.equals(person.lastName));
    }

    @Override
    public String toString(){
        return firstName + " " +lastName;
    }
}
